#if defined _cvi_const_included
  #endinput
#endif
#define _cvi_const_included

#if AMXX_VERSION_NUM < 183
  #define client_print_color ColorChat
  #define print_team_default NORMAL
  #define print_team_grey GREY
  #define print_team_red RED
  #define print_team_blue BLUE
  #define print_team_green GREEN
  #include <colorchat>

  #define Ham_CS_Player_ResetMaxSpeed Ham_Item_PreFrame
  #define DMG_GRENADE (1<<24)
  stock HamHook:RegisterHamPlayer(Ham:function, const Callback[], Post=0)
    return RegisterHam(function, "player", Callback, Post);

  #if defined _fakemeta_included
    #define write_coord_f(%0) engfunc(EngFunc_WriteCoord, %0)
    stock message_begin_f(dest, msg_type, const Float:origin[3] = {0.0,0.0,0.0}, player=0)
      engfunc(EngFunc_MessageBegin, dest, msg_type, origin, player);
  #endif
#endif

#define CVI_VERSION "1.0.3"
#define CVI_AUTHOR  "GuskiS"
#define CVI_TAG     "^3[^4CvI^3]^1"

#define CVI_MAXMENULENGHT 64
#define CVI_MAXFILELENGHT 64
#define CVI_SETTINGSFILE  "cvi_mod.ini"
#define CVI_CONFIGFILE    "cvi_mod.cfg"

#pragma semicolon 1

enum _:PLAYER_DATA
{
  PD_CLASS,    // PLAYER_CLASS
  PD_UPGRADE,  // Is upgraded?
  PD_ITEMCOUNT // Item count - knifes, grenades, revolvers
}

enum _:GLOBAL_INFO
{
  GI_GAMEMODE,
  GI_ROUNDCOUNT
}

enum _:PLAYER_CLASS
{
  PC_NONE,
  PC_COWBOY,
  PC_INDIAN
}

enum _:GAME_MODE
{
  GAME_UNSET,
  GAME_OFF,
  GAME_PREPARING,
  GAME_RESTARTING,
  GAME_STARTED,
  GAME_ENDED
}
