#include <amxmodx>
#include <hamsandwich>
#include <fakemeta>
#include <cstrike>
#include <fun>
#include <cvi>
#include <amx_settings_api>

#define LINUX_WEAPON_OFF  4
#define LINUX_PLAYER_OFF  5
#define m_pPlayer        41

new HamHook:g_pHamForward;
new g_szKnifeModels[7][CVI_MAXFILELENGHT];
new g_szPlayerModels[3][16];
new g_iPlayerHat[33], g_szHatModels[3][CVI_MAXFILELENGHT];
new g_pMsgHideWeapon, g_pMsgCrosshair;

public plugin_precache()
{
// HATS
  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Hats", "COWBOY", g_szHatModels[1], charsmax(g_szHatModels[])))
  {
    g_szHatModels[1] = "models/cvi/hat_cowboy.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Hats", "COWBOY", g_szHatModels[1]);
  }
  precache_model(g_szHatModels[1]);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Hats", "INDIAN", g_szHatModels[2], charsmax(g_szHatModels[])))
  {
    g_szHatModels[2] = "models/cvi/hat_indian.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Hats", "INDIAN", g_szHatModels[2]);
  }
  precache_model(g_szHatModels[2]);
// END

// PLAYER
  new model[CVI_MAXFILELENGHT];
  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Cowboy", "PLAYER_MODEL", model, charsmax(model)))
  {
    model = "cvi_cowboy";
    amx_save_setting_string(CVI_SETTINGSFILE, "Cowboy", "PLAYER_MODEL", model);
  }

  formatex(g_szPlayerModels[1], charsmax(g_szPlayerModels[]), "%s", model);
  format(model, charsmax(model), "models/player/%s/%s.mdl", model, model);
  precache_model(model);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Indian", "PLAYER_MODEL", model, charsmax(model)))
  {
    model = "cvi_indian";
    amx_save_setting_string(CVI_SETTINGSFILE, "Indian", "PLAYER_MODEL", model);
  }

  formatex(g_szPlayerModels[2], charsmax(g_szPlayerModels[]), "%s", model);
  format(model, charsmax(model), "models/player/%s/%s.mdl", model, model);
  precache_model(model);
// END

// KNIFES
  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_V_DUAL", g_szKnifeModels[0], charsmax(g_szKnifeModels[])))
  {
    g_szKnifeModels[0] = "models/cvi/v_axe_indian_dual.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_V_DUAL", g_szKnifeModels[0]);
  }
  precache_model(g_szKnifeModels[0]);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Cowboy", "KNIFE_MODEL_V", g_szKnifeModels[1], charsmax(g_szKnifeModels[])))
  {
    g_szKnifeModels[1] = "models/cvi/v_knife_cowboy.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Cowboy", "KNIFE_MODEL_V", g_szKnifeModels[1]);
  }
  precache_model(g_szKnifeModels[1]);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_V", g_szKnifeModels[2], charsmax(g_szKnifeModels[])))
  {
    g_szKnifeModels[2] = "models/cvi/v_axe_indian.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_V", g_szKnifeModels[2]);
  }
  precache_model(g_szKnifeModels[2]);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Cowboy", "KNIFE_MODEL_P", g_szKnifeModels[3], charsmax(g_szKnifeModels[])))
  {
    g_szKnifeModels[3] = "models/cvi/p_knife_cowboy.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Cowboy", "KNIFE_MODEL_P", g_szKnifeModels[3]);
  }
  precache_model(g_szKnifeModels[3]);

  if(!amx_load_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_P", g_szKnifeModels[4], charsmax(g_szKnifeModels[])))
  {
    g_szKnifeModels[4] = "models/cvi/p_axe_indian.mdl";
    amx_save_setting_string(CVI_SETTINGSFILE, "Indian", "KNIFE_MODEL_P", g_szKnifeModels[4]);
  }
  precache_model(g_szKnifeModels[4]);
// END
}

public plugin_init()
{
  register_plugin("[CVI] Replacements", CVI_VERSION, CVI_AUTHOR);

  register_forward(FM_GetGameDescription, "Forward_GetGameDescription_pre", 0);

  RegisterHam(Ham_Item_Deploy, "weapon_knife", "Ham_Knife_Deploy_post", 1);
  RegisterHam(Ham_Item_Deploy, "weapon_smokegrenade", "Ham_Knife_Deploy_post", 1);
  RegisterHam(Ham_Spawn, "player", "Ham_Spawn_post", 1);
  DisableHamForward((g_pHamForward = RegisterHamPlayer(Ham_TraceAttack, "Ham_TraceAttack_pre", 0)));

  register_message(get_user_msgid("TextMsg"), "Block_Text");
  register_message(get_user_msgid("SendAudio"), "Block_Audio");

  g_pMsgHideWeapon = get_user_msgid("HideWeapon");
  g_pMsgCrosshair  = get_user_msgid("Crosshair");
  set_msg_block(get_user_msgid("Money"), BLOCK_SET);
  set_msg_block(get_user_msgid("WeapPickup"), BLOCK_SET);
  set_msg_block(get_user_msgid("AmmoPickup"), BLOCK_SET);
  set_msg_block(g_pMsgHideWeapon, BLOCK_SET);
}

public cvi_gamemode(mode)
{
  if(mode == GAME_STARTED)
  {
    DisableHamForward(g_pHamForward);
    new num, id, player_class;
    static players[32], model[20];
    get_players(players, num, "a");
    for(--num; num >= 0; num--)
    {
      id = players[num];
      
      give_hud(id);
      player_class = cvi_get_playerdata(id, PD_CLASS);
      cs_get_user_model(id, model, charsmax(model));
      if(!equal(model, g_szPlayerModels[player_class]))
      {
        // cs_reset_user_model(id);
        cs_set_user_model(id, g_szPlayerModels[player_class]);
      }

      set_player_hat(id, player_class);
      if(player_class == PC_COWBOY)
        set_pev(g_iPlayerHat[id], pev_skin, random_num(0, 3));
    }
  }
  else EnableHamForward(g_pHamForward);
}

public Ham_Spawn_post(id)
{
  if(is_user_alive(id))
  {
    set_player_glow(id, 0);
    strip_weapons(id);
  }
}

public Ham_TraceAttack_pre()
{
  return HAM_SUPERCEDE;
}

public Ham_Knife_Deploy_post(ent)
{
  new id = get_weapon_owner(ent);
  if(is_user_alive(id))
  {
    if(!is_user_bot(id) && cs_get_user_shield(id))
      return;

    new player_class = cvi_get_playerdata(id, PD_CLASS);
    if(player_class)
    {
      if(player_class == PC_INDIAN && cvi_get_playerdata(id, PD_ITEMCOUNT) == 2)
        set_pev(id, pev_viewmodel2, g_szKnifeModels[0]);
      else set_pev(id, pev_viewmodel2, g_szKnifeModels[0+player_class]);
      set_pev(id, pev_weaponmodel2, g_szKnifeModels[2+player_class]);
      if(player_class == PC_INDIAN && is_upgraded(id))
        msg_crosshair(id, 1);
    }
  }
}

public msg_crosshair(id, val)
{
  message_begin(MSG_ONE_UNRELIABLE, g_pMsgCrosshair, _, id);
  write_byte(val);
  message_end();
}

public Forward_GetGameDescription_pre()
{
  forward_return(FMV_STRING, "Cowboys vs Indians");
  return FMRES_SUPERCEDE;
}

get_weapon_owner(ent)
  return get_pdata_cbase(ent, m_pPlayer, LINUX_WEAPON_OFF);

public give_hud(id)
{
  message_begin(MSG_ONE_UNRELIABLE, g_pMsgHideWeapon, _, id);
  write_byte((1<<3) + (1<<6) + (1<<7));
  message_end();
}

public Block_Text()
{
  if(get_msg_args() != 5 || get_msg_argtype(3) != ARG_STRING || get_msg_argtype(5) != ARG_STRING)
    return PLUGIN_CONTINUE;
  
  static message[20];
  get_msg_arg_string(5, message, charsmax(message));
  if(equal(message, "#Fire_in_the_hole"))
    return PLUGIN_HANDLED;

  return PLUGIN_CONTINUE;
}

public Block_Audio()
{
  if(get_msg_args() != 3 || get_msg_argtype(2) != ARG_STRING)
    return PLUGIN_CONTINUE;

  static sound[20];
  get_msg_arg_string(2, sound, charsmax(sound));
  if(equal(sound[1], "!MRAD_FIREINHOLE"))
    return PLUGIN_HANDLED;

  return PLUGIN_CONTINUE;
}

public set_player_hat(id, player_class)
{
  if(!g_iPlayerHat[id])
  {
    g_iPlayerHat[id] = engfunc(EngFunc_CreateNamedEntity, engfunc(EngFunc_AllocString, "info_target"));
    if(g_iPlayerHat[id]) 
    {
      set_pev(g_iPlayerHat[id], pev_movetype, MOVETYPE_FOLLOW);
      set_pev(g_iPlayerHat[id], pev_aiment, id);
      engfunc(EngFunc_SetModel, g_iPlayerHat[id], g_szHatModels[player_class]);
    }
  } 
  else engfunc(EngFunc_SetModel, g_iPlayerHat[id], g_szHatModels[player_class]);
}
