#include <amxmodx>
#include <fakemeta>
#include <cstrike>
#include <cs_teams_api>
#include <cvi>

#define m_iNumSpawns 365

public plugin_init()
{
  register_plugin("[CVI] Team management", CVI_VERSION, CVI_AUTHOR);
}

public cvi_gamemode(mode)
{
  if(mode == GAME_STARTED)
  {
    new num, id;
    static players[32];
    get_players(players, num, "bh");
    for(--num; num >= 0; num--)
    {
      id = players[num];
      set_pdata_int(id, m_iNumSpawns, 1);
    }
  }
  else if(mode == GAME_ENDED)
    equalize_teams();
}

public client_putinserver(id)
{
  if(!is_user_bot(id) && cvi_get_globalinfo(GI_GAMEMODE) == GAME_STARTED)
    set_pdata_int(id, m_iNumSpawns, 1);
}

public equalize_teams()
{
  static players[32];
  new num, id, count[PLAYER_CLASS];
  get_players(players, count[PC_INDIAN], "e", "CT");
  get_players(players, count[PC_COWBOY], "e", "TERRORIST");

  get_players(players, num);
  new diffcount = abs(count[PC_INDIAN]-count[PC_COWBOY]);
  while(diffcount > 1)
  {
    id = players[random(num)];
    if(is_user_connected(id))
    {
      if(count[PC_INDIAN] > count[PC_COWBOY])
      {
        if(cs_get_user_team(id) != CS_TEAM_T)
        {
          cs_set_player_team(id, CS_TEAM_T, true);
          count[PC_COWBOY]++;
          count[PC_INDIAN]--;
          diffcount--;
        }
      }
      else
      {
        if(cs_get_user_team(id) != CS_TEAM_CT)
        {
          cs_set_player_team(id, CS_TEAM_CT, true);
          count[PC_COWBOY]--;
          count[PC_INDIAN]++;
          diffcount--;
        }
      }
    }
  }
}
